apiVersion: batch/v1
kind: Job
metadata:
  name: job
  namespace: test-qe
  labels:
    kueue.x-k8s.io/queue-name: local
spec:
  parallelism: 1
  completions: 1
  suspend: true
  template:
    spec:
      containers:
      - name: dummy-job
        image: registry.k8s.io/e2e-test-images/agnhost:2.53
        command: [ "/bin/sh" ]
        # args: [ "-c", "sleep 60" ]
        args: [ "-c", "while true; do echo 'Testing'; sleep 30; done" ]
        resources:
          requests:
            cpu: "1"
            memory: "200Mi"
      restartPolicy: Never
